NewWacht Bench is live — AI-assisted development for Wacht
POST
/auth/complete-profile

Query Parameters

attempt_id?string

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/auth/complete-profile" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d ''
{  "status": 0,  "message": "string",  "data": {    "id": "string",    "active_signin": {      "id": "string",      "user_id": "string",      "active_organization_membership_id": "string",      "active_workspace_membership_id": "string",      "user": {        "id": "string",        "first_name": "string",        "last_name": "string",        "username": "string",        "availability": "available\" | \"busy\" | \"away",        "has_profile_picture": "string",        "profile_picture_url": "string",        "primary_email_address_id": "string",        "primary_phone_number_id": "string",        "primary_email_address": {          "id": "string",          "email": "string",          "is_primary": true,          "verified": true,          "verified_at": "string",          "verification_strategy": "otp"        },        "primary_phone_number": {          "id": "string",          "phone_number": "string",          "country_code": "string",          "verified": true,          "verified_at": "string"        },        "second_factor_policy": "none",        "user_email_addresses": [          {            "id": "string",            "email": "string",            "is_primary": true,            "verified": true,            "verified_at": "string",            "verification_strategy": "otp"          }        ],        "user_phone_numbers": [          {            "id": "string",            "phone_number": "string",            "country_code": "string",            "verified": true,            "verified_at": "string"          }        ],        "email_addresses": [          {            "id": "string",            "email": "string",            "is_primary": true,            "verified": true,            "verified_at": "string",            "verification_strategy": "otp"          }        ],        "phone_numbers": [          {            "id": "string",            "phone_number": "string",            "country_code": "string",            "verified": true,            "verified_at": "string"          }        ],        "social_connections": [          {            "id": "string",            "provider": "x_oauth",            "email_address": "string",            "first_name": "string",            "last_name": "string"          }        ],        "user_authenticator": {          "id": "string",          "created_at": "string",          "totp_secret": "string",          "otp_url": "string"        },        "authenticators": [          {            "id": "string",            "created_at": "string",            "totp_secret": "string",            "otp_url": "string"          }        ],        "backup_codes_generated": true,        "backup_codes": [          "string"        ],        "has_password": true,        "has_passkeys": true,        "public_metadata": {          "property1": null,          "property2": null        },        "segments": [          {            "id": "string",            "created_at": "string",            "updated_at": "string",            "deployment_id": "string",            "name": "string",            "type": "user"          }        ]      },      "expiresAt": "string",      "lastActiveAt": "string",      "ipAddress": "string",      "browser": "string",      "device": "string",      "city": "string",      "region": "string",      "regionCode": "string",      "country": "string",      "countryCode": "string"    },    "signins": [      {        "id": "string",        "user_id": "string",        "active_organization_membership_id": "string",        "active_workspace_membership_id": "string",        "user": {          "id": "string",          "first_name": "string",          "last_name": "string",          "username": "string",          "availability": "available\" | \"busy\" | \"away",          "has_profile_picture": "string",          "profile_picture_url": "string",          "primary_email_address_id": "string",          "primary_phone_number_id": "string",          "primary_email_address": {            "id": "string",            "email": "string",            "is_primary": true,            "verified": true,            "verified_at": "string",            "verification_strategy": "otp"          },          "primary_phone_number": {            "id": "string",            "phone_number": "string",            "country_code": "string",            "verified": true,            "verified_at": "string"          },          "second_factor_policy": "none",          "user_email_addresses": [            {              "id": "string",              "email": "string",              "is_primary": true,              "verified": true,              "verified_at": "string",              "verification_strategy": "otp"            }          ],          "user_phone_numbers": [            {              "id": "string",              "phone_number": "string",              "country_code": "string",              "verified": true,              "verified_at": "string"            }          ],          "email_addresses": [            {              "id": "string",              "email": "string",              "is_primary": true,              "verified": true,              "verified_at": "string",              "verification_strategy": "otp"            }          ],          "phone_numbers": [            {              "id": "string",              "phone_number": "string",              "country_code": "string",              "verified": true,              "verified_at": "string"            }          ],          "social_connections": [            {              "id": "string",              "provider": "x_oauth",              "email_address": "string",              "first_name": "string",              "last_name": "string"            }          ],          "user_authenticator": {            "id": "string",            "created_at": "string",            "totp_secret": "string",            "otp_url": "string"          },          "authenticators": [            {              "id": "string",              "created_at": "string",              "totp_secret": "string",              "otp_url": "string"            }          ],          "backup_codes_generated": true,          "backup_codes": [            "string"          ],          "has_password": true,          "has_passkeys": true,          "public_metadata": {            "property1": null,            "property2": null          },          "segments": [            {              "id": "string",              "created_at": "string",              "updated_at": "string",              "deployment_id": "string",              "name": "string",              "type": "user"            }          ]        },        "expiresAt": "string",        "lastActiveAt": "string",        "ipAddress": "string",        "browser": "string",        "device": "string",        "city": "string",        "region": "string",        "regionCode": "string",        "country": "string",        "countryCode": "string"      }    ],    "signin_attempts": [      {        "id": "string",        "email": "string",        "session_id": "string",        "method": "plain_email",        "sso_provider": "x_oauth",        "expires_at": "string",        "first_method_authenticated": true,        "second_method_authenticated": true,        "second_method_authentication_required": true,        "available_2fa_methods": [          "string"        ],        "user_id": "string",        "current_step": "verify_password",        "completed": true,        "requires_completion": true,        "missing_fields": [          "string"        ],        "required_fields": [          "string"        ],        "profile_completion_data": {          "first_name": "string",          "last_name": "string",          "username": "string",          "phone_number": "string",          "phone_country_code": "string",          "email": "string"        }      }    ],    "signup_attempts": [      {        "id": "string",        "session_id": "string",        "first_name": "string",        "last_name": "string",        "email": "string",        "username": "string",        "phone_number": "string",        "password": "string",        "required_fields": [          "string"        ],        "missing_fields": [          "string"        ],        "current_step": "verify_email",        "remaining_steps": [          "verify_email"        ],        "completed": true      }    ]  },  "session": {    "id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}